concepts.hpp File Reference

## Variables

template<typename T >
concept | ranges::container
template<typename T >
concept | ranges::lvalue_container_like
template<typename T >
concept | ranges::lvalue_container_like_ = implicitly_convertible_to<detail::is_lvalue_container_like_t<T>, std::true_type>
template<typename C >
concept | ranges::random_access_reservable
template<typename C >
concept | ranges::reservable
template<typename C , typename I >
concept | ranges::reservable_with_assign
template<typename T >
concept | ranges::semi_container